Subject: Re: bug#16196: 24.3.50; Disable ding when scrolling

From: martin rudalics <[email-masked]>
Date: Sun, 11 Aug 2019 10:17:42 +0200

>>   > To make it easier to review, I've also included a git diff
 >>   > ignoring whitespace changes.
 >>
 >> This one doesn't apply here.
 >
 > Sorry, I should've been more clear.  This is the same as the patch but
 > without the whitespace changes.  Please try applying the patch
 > instead.  Thanks.

I obviously did that (otherwise I would have complained about the
patch in the first place) ;-)

 >> AFAIAC it's an improvement.  But personally, I'd drop the message as
 >> well.  Does anyone really need it?
 >
 > I'm personally prone to agree with you, but the reasoning in the previous
 > discussion in this thread seems to be that we do want it.  Or at least
 > something similar.
 >
 > Stefan Monnier <[email-masked]> writes:
 >
 >> the general design of Emacs is that
 >> we strive to make every command perform *something*, so when the user's
 >> request ends up doing nothing, we signal an error to make it clear that
 >> Emacs did obey the request.  Otherwise the lack of feedback can make the
 >> user feel like Emacs is unresponsive.
 >
 > And later:
 >
 >> I'd rather keep some kind of feedback.  Maybe a `message'?
 >
 > Personally, I think the scrolling itself is enough feedback.  It
 > either scrolls or it doesn't.  That's what happens in many other
 > programs, for example in Firefox.  And scroll-bar-mode is enabled by
 > default.
 >
 > But I think my opinion on this carries less weight than Stefan
 > Monnier's.  :-)

My current *Messages* buffer is listed below.  I never look at it
because it just doesn't make sense.

Thanks anyway for your efforts to remove the beeps, martin

Loading paren...done
Mark set [4 times]
next-line: End of buffer [5 times]
Mark set
next-line: End of buffer
Mark set [5 times]
nil
Mark set
user-error: Beginning of history; no preceding item
user-error: End of history; no default available [2 times]
Quit [2 times]
C-M-: is undefined
nil
Mark set [2 times]
previous-line: Beginning of buffer [2 times]
Mark set
next-line: End of buffer [2 times]
Auto-saving...done
previous-line: Beginning of buffer [2 times]
Mark set
previous-line: Beginning of buffer [5 times]
Mark set
nil
previous-line: Beginning of buffer [5 times]
Mark set
next-line: End of buffer
No undo information
Mark set
next-line: End of buffer [4 times]
Mark set [3 times]
next-line: End of buffer [5 times]
Mark set
next-line: End of buffer
Mark set [4 times]
Auto-saving...done
Mark set [6 times]
Creating customization items...
Creating customization items ...done
Creating customization setup...done
Mark set
Undo
user-error: No further undo information [15 times]
Mark set [4 times]
next-line: End of buffer [3 times]
Mark set
next-line: End of buffer
Mark set
next-line: End of buffer
Mark set [3 times]
next-line: End of buffer
if: End of buffer [7 times]
Mark set [11 times]
next-line: End of buffer [4 times]
Undo [4 times]
Mark set [9 times]
next-line: End of buffer [4 times]
Mark set [9 times]
next-line: End of buffer [3 times]
Scanning for dabbrevs...done
Expansion found in ‘ *sidebar*’
Mark set [4 times]